import 'package:isar/isar.dart';
import 'package:json_annotation/json_annotation.dart';

part 'id_value_color.g.dart';

@JsonSerializable(explicitToJson: true)
@embedded
class IdValueColor {
  IdValueColor();

  int? id;
  String? value;
  String? color;

  factory IdValueColor.fromJson(Map<String, dynamic> json) =>
      _$IdValueColorFromJson(json);

  Map<String, dynamic> toJson() => _$IdValueColorToJson(this);
}
